module.exports = {
    "config": {
        "pdict": {
            "app_type": { "api": "API服务", "web": "PCWEB", "app": "移动APP", "xcx": "小程序", "access": "接入" },
            "data_priv": { "auth.role": "角色", "auth.user": "用户" },
            "noticeType": { "sms": "短信", "email": "邮件", "wechat": "微信" },
            "authType": { "add": "新增", "edit": "编辑", "delete": "删除", "export": "导出", "show": "查看" },
            "mediaType": { "vd": "视频", "ad": "音频", "qt": "其它" },
            "usageType": { "kt": "课堂", "taxkt": "财税课堂", "qt": "其它" },
            "opstatus": { "0": "失败", "1": "成功" },
            "sex": { "male": "男", "female": "女" },
            "logLevel": { "debug": 0, "info": 1, "warn": 2, "error": 3, "fatal": 4 },
            "msgType": { "sys": "系统", "single": "单点", "multi": "群发" },
            "node_type": { "org": "组织", "arc": "文档" },
            "source": {//渠道来源
                "tencentCloud": "腾讯云"
            },
            "businessType": {//商机类型
                "companyCase": "公司注册",
                "psCase": "云上园区注册",
                // "psCase": "个体户注册",
                // "soleCase": "个人独资企业注册",
                "agentCase": "代理记账",
                "regAddrCase": "注册地址",
                "icCheckCase": "工商年报",
                "openBankAccountCase": "银行开户",
                "taxCase": "税务报道",
                "taxControlCase": "税控申请",
                "sealSevCase": "刻章服务",
                "icChangeCase": "工商变更",
                "ssOpenCase": "社保开户"
            },
            "businessStatus": {//商机状态
                "beforeSubmission": "待提交方案",
                "beforeConfirmation": "待用户确认",
                "isFinished": "已成交",
                "isClosed": "已关闭"
            },
            "deliverStatus": {//交付单状态
                "received": "已接单",//接单日期，公司注册云上园区
                "collecting": "收集工商注册材料",//请配合顾问尽快提供，公司注册
                "uploading": "上传注册材料",//请配合顾问尽快提供,云上园区注册
                "checking": "园区入驻审核",//1个工作日完成，云上园区注册
                "auditing": "工商审核环节",//10个工作日内，公司注册、云上园区
                "engraving": "刻章环节",//5个工作日内，只有选择了刻章服务时才有该状态
                "posting": "证件邮寄环节",//3个工作日内，公司注册、云上园区
                "paid": "已付款",//增值服务
                "inservice": "已交付",//增值服务
                "success": "已完成",//税务报道、税控申请、银行开户、工商年报、工商变更、社保开户、刻章服务
                "signed": "已签收",//公司注册、云上园区
                "expired": "已到期",//代理记账、注册地址
                "closed": "关闭交付"//只有在已接单和收集工商注册材料阶段才能关闭交付
            },
            "diliverStatus1": {//公司注册交付单状态
                "received": "已接单",//接单日期
                "collecting": "收集工商注册材料",//请配合顾问尽快提供
                "auditing": "工商审核环节",//10个工作日内
                "engraving": "刻章环节",//5个工作日内，只有选择了刻章服务时才有该状态
                "posting": "证件邮寄环节",//3个工作日内
                "signed": "已签收",
                "closed": "关闭交付"//只有在已接单和收集工商注册材料阶段才能关闭交付
            },
            "diliverSataus2": {//云上园区注册交付状态
                "received": "已接单",//接单日期
                "uploading": "上传注册材料",//请配合顾问尽快提供
                "checking": "园区入驻审核",//1个工作日完成
                "auditing": "工商审核环节",//10个工作日内
                "engraving": "刻章环节",//5个工作日内，只有选择了刻章服务时才有该状态
                "posting": "证件邮寄环节",//3个工作日内
                "signed": "已签收",
                "closed": "关闭交付"//只有在已接单和收集工商注册材料阶段才能关闭交付
            },
            "diliverSataus3": {// 税务报道、税控申请、银行开户、工商年报、工商变更、社保开户、刻章服务交付状态
                "paid": "已付款",
                "received": "已接单",
                "inservice": "已交付",
                "completed": "已完成"
            },
            "payStatus": {//交付状态
                "已交付": "已交付",
                "待交付": "待交付",
                "已关闭": "已关闭"
            },
            "diliverSataus4": {//代理记账、注册地址交付状态
                "paid": "已付款",
                "received": "已接单",
                "inservice": "已交付",
                "expired": "已到期"
            },
            "registeredAreaDict": {//注册地区
                "beijing": "北京市",
                "shanghai": "上海市",
                "hangzhou": "杭州市",
                "qingdao": "青岛市",
                "suzhou": "苏州市",
                "tianjin": "天津市",
                "ningbo": "宁波市",
                "najing": "南京市",
                "wuxi": "无锡市",
                "jinan": "济南市",
                "wenzhou": "温州市",
                "shijiazhuang": "石家庄市",
                "jinhua": "金华市",
                "changzhou": "常州市",
                "nantong": "南通市",
                "xuzhou": "徐州市",
                "jiaxing": "嘉兴市",
                "taizhou": "台州市",
                "shaoxing": "绍兴市",
                "taiyuan": "太原市",
                "yantai": "烟台市",
                "yangzhou": "扬州市"
            },
            "TaxpayerTypeDict": {//纳税人类型
                "smallScaleTaxpayer": "小规模纳税人",
                "generalTaxpayer": "一般纳税人"
            },
            "companyNatureDict": {//公司类型
                "limitedLiabilityCompany": "有限责任公司",
                "incorporatedCompany": "股份有限公司",
                "groupLimitedCompany ": "集团有限公司"
            },
            "engagedIndustryDict": {//从事行业
                "culturalMedia": "文化传媒类",
                "scienceAndTechnology": "科技类",
                "filmIndustry": "影业类",
                "trade": "贸易类",
                "consult": "咨询类",
                "advertisement": "广告类",
                "administration": "管理类",
                "lease": "租赁类",
                "proxy": "代理类",
                "train": "培训类",
                "design": "设计类",
                "service": "服务类",
                "engineering": "工程类"
            },
            "SealSevCaseDict": {//是否刻章
                "yes": "需要",
                "no": "不需要"
            },
            "addressTypeDict": {//经营地址类型
                "practical": "实际经营地址",
                "virtual": "虚拟地址"
            },
            "registeredTypeDict": {//个体户类型
                "selfEmployed": "个体工商户",
                "soleProprietorship": "个人独资企业"
            },
            "registeredParkDict": {//注册园区
                "shanghai": "上海云上公司",
                "beijing": "北京云上公司"
            },
            "sealSevTypeDict": {//刻章类型
                "company": "公司章",
                "individual": "个体工商户章"
            },
            "agentTypeDict": {//代理记账主体类型
                "company": "公司",
                "individual": "个体户"
            },
            "buyDurationDict": {//购买时长
                "buyDuration": "1年",
            },
            "isRenewDict": {//是否自动续费
                "isRenew": "开启",
            },
            "dyDict": {//产品对应关系
                "/ic/gsreg/": "companyCase",
                "/ic/kzfw/": "sealSevCase",
                "/ic/cpreg/": "psCase",
                "/ic/bankopen/": "openBankAccountCase",
                "/ic/swbd/": "taxCase",
                "/ic/sksq/": "taxControlCase",
                "/ic/dljz/": "agentCase",
                "/ic/regaddr/": "regAddrCase",
                "/ic/gsnb/": "icCheckCase",
                "/ic/gschangs/": "icChangeCase",
                "/ic/sbopen/": "ssOpenCase"
            },
            "fdyDict": {//产品反对应关系
                "companyCase": "/ic/gsreg/",
                "sealSevCase": "/ic/kzfw/",
                "psCase": "/ic/cpreg/",
                "openBankAccountCase": "/ic/bankopen/",
                "taxCase": "/ic/swbd/",
                "taxControlCase": "/ic/sksq/",
                "agentCase": "/ic/dljz/",
                "regAddrCase": "/ic/regaddr/",
                "icCheckCase": "/ic/gsnb/",
                "icChangeCase": "/ic/gschangs/",
                "ssOpenCase": "/ic/sbopen/"
            },
            "ddyDict": {//和庄冰的交付单对应关系
                "paid": 1,
                "received": 20,
                "inservice": 30,
                "collecting": 100,
                "uploading": 110,
                "checking": 120,
                "auditing": 130,
                "engraving": 140,
                "posting": 150,
                "signed": 160,
                "completed": 170,
                "expired": 180,
                "closed": 190
            },
            "flowType": {
                "BIZ": "BIZ",//商机表
                "SCHEME": "SCHEME",//方案表
                "DELIVERY": "DELIVERY"//服务单表
            },
            settle_status: {
                "waittosettle": "待结算",
                "settling": "结算中",
                "settled": "已结算"
            },
            audit_status: {
                "waittoaudit": "待审核",
                "audited": "已审核",
            }
        }
    }
}
