const system = require("../../../system");
const settings = require("../../../../config/settings");
const appconfig = system.getSysConfig();
/**
 * 交付单表
 */
module.exports = (db, DataTypes) => {
  return db.define("settlebill", {
    code: { //交付单编号
      allowNull: true,
      type: DataTypes.STRING
    },
    audit_status: {// 审核状态
      allowNull: false,
      type: DataTypes.STRING,
      defaultValue:'waittoaudit'
    },
    settle_amount: {//结算金额
      allowNull: true,
      type: DataTypes.INTEGER
    },
    isPayed:{
      type:DataTypes.BOOLEAN,
      defaultValue: false
    }
  }, {
    paranoid: true,//真的删除
    underscored: true,
    version: true,
    freezeTableName: true,
    //freezeTableName: true,
    // define the table's name
    tableName: 'fi_settlebill',
    validate: {

    },
    indexes: [
      // Create a unique index on email
      //  {
      //    unique: true,
      //    fields: ['email']
      //  },
      //
      //  // Creates a gin index on data with the jsonb_path_ops operator
      //  {
      //    fields: ['data'],
      //    using: 'gin',
      //    operator: 'jsonb_path_ops'
      //  },
      //
      //  // By default index name will be [table]_[fields]
      //  // Creates a multi column partial index
      //  {
      //    name: 'public_by_author',
      //    fields: ['author', 'status'],
      //    where: {
      //      status: 'public'
      //    }
      //  },
      //
      //  // A BTREE index with a ordered field
      //  {
      //    name: 'title_index',
      //    method: 'BTREE',
      //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
      //  }
    ]
  });
}

