const system = require("../../../system");
const ServiceBase = require("../../sve.base");
const settings = require("../../../../config/settings");
const appconfig = system.getSysConfig();
class BizOptService extends ServiceBase {
    constructor() {
        super("bizchance", ServiceBase.getDaoName(BizOptService));
    }
    async findAndCountAll(obj) {
        var self = this;
        const apps = await this.dao.findAndCountAll(obj);
        return apps;
    }

    /*根据商机编号获取商机详情*/
    async findInfoByDemandCode(qobj){
        return await this.dao.findInfoByDemandCode(qobj);
    }

    /* 根据商机编号更新商机状态 */
    async updateStatusByDemandCode(qobj){
        var self=this;
        return self.db.transaction(async function (t) {
            return await self.dao.updateStatusByDemandCode(qobj,t);
        });
    }

    /*插入商机信息*/
    async insertInfo(qobj){
        var self=this;
        return self.db.transaction(async function (t) {
            return await self.dao.insertInfo(qobj,t);
        });
    }

}
module.exports = BizOptService;