const system = require("../../../system");
const ServiceBase = require("../../sve.base");
const settings = require("../../../../config/settings");
const appconfig = system.getSysConfig();
class DeliverybillService extends ServiceBase {
    constructor() {
        super("bizchance", ServiceBase.getDaoName(DeliverybillService));
    }
    async settleApply(ids,uid,uname){
        var self=this
         return this.db.transaction(async function (t){
             //先按照ids查询出交付单的合计服务成本
              let settleAmount=await self.dao.model.findSum("cost_price",{where:{id:{[self.db.Op.In]:ids}},transaction:t})
              let settlecode=await self. getBusUid("JSD")
              let settleObj={
                  code:settlecode,
                  settle_amount:settleAmount,
              }
              //生成结算单，结算单状态为待审核
              let newentity=await self.db.models.settlebill.create(settleObj,{transaction:t})
             //然后按照ids更新交付单的状态为结算中，更新结算单的id到交付单表
              await self.updateByWhere({
                  'settle_status':'settling',
                  'settlebill_id':newentity.id
              },{id:{[self.db.Op.In]:ids}},t)
              return newentity
         }); 
    }
    async findAndCountAll(obj) {
        var self = this;
        const apps = await this.dao.findAndCountAll(obj);
        return apps;
    }

    /*根据交付单编号获取交付单详情*/
    async findInfoByDeliverCode(qobj){
        return await this.dao.findInfoByDeliverCode(qobj);
    }

    /* 根据交付单编号更新交付单状态 */
    async updateStatusByDeliverCode(qobj){
        var self=this;
        return self.db.transaction(async function (t) {
            return await self.dao.updateStatusByDeliverCode(qobj,t);
        });
    }
    
    /*更新交付单信息 */
    async UpdateInfoByDeliverCode(qobj){
        var self=this;
        return self.db.transaction(async function (t) {
            return await self.dao.UpdateInfoByDeliverCode(qobj,t);
        });
    }

    /*插入交付单信息*/
    async insertInfo(qobj){//从队列取数据的时候用
        var self=this;
        return self.db.transaction(async function (t) {
            return await self.dao.insertInfo(qobj,t);
        }); 
    }

}
module.exports = DeliverybillService;